import Vue from 'vue'
import Vuex from 'vuex'
import common from './modules/common'
import user from './modules/user'
import prod from './modules/prod'
import webConfig from './modules/webConfig'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    common,
    user,
    prod,
    webConfig
  },
  mutations: {

  },
  strict: process.env.NODE_ENV !== 'production'
})
